summaryrefslogtreecommitdiffstats
path: root/gnash
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2012-02-09 21:40:01 +0000
committer Eric Hameleers <alien@slackware.com>2012-02-09 21:40:01 +0000
commit232ee392a2620d577b8473feb6e64c877eaa88f1 (patch)
treeb8e6c32184b44e54ba98ac5e207558819019c637 /gnash
parentd7d49856705d18b2d7e10f1458455bee036202cd (diff)
downloadasb-232ee392a2620d577b8473feb6e64c877eaa88f1.tar.gz
asb-232ee392a2620d577b8473feb6e64c877eaa88f1.tar.xz
Update to 0.8.10
Diffstat (limited to 'gnash')
-rwxr-xr-xgnash/build/gnash.SlackBuild34
1 files changed, 21 insertions, 13 deletions
diff --git a/gnash/build/gnash.SlackBuild b/gnash/build/gnash.SlackBuild
index 97eba649..426fd66c 100755
--- a/gnash/build/gnash.SlackBuild
+++ b/gnash/build/gnash.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2009, 2010 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010, 2012 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -41,6 +41,8 @@
# * Update, many exciting new features (youtube should work now).
# 0.8.8-2: 14/sep/2010 by Eric Hameleers <alien@slackware.com>
# * Needs patching to be able to view youtube videos.
+# 0.8.10-1: 09/feb/2012 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh gnash.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -51,8 +53,8 @@
# Set initial variables:
PRGNAM=gnash
-VERSION=${VERSION:-0.8.8}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.8.10}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -75,12 +77,14 @@ SRCURL[0]="http://ftp.gnu.org/pub/gnu/${PRGNAM}/${VERSION}/${PRGNAM}-${VERSION}.
##
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ *) export ARCH=$MARCH ;;
esac
fi
@@ -91,6 +95,9 @@ case "$ARCH" in
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
*) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
@@ -119,19 +126,20 @@ rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
# Source file availability:
for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
if ! [ -f ${SOURCE[$i]} ]; then
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ if [ -f ${SOURCE[$i]} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL[$i]}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
- echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
echo "Will download file to $(dirname $SOURCE[$i])"
wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
- echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
+ echo "Fail to download '$(basename ${SOURCE[$i]})'. Aborting the build."
mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
exit 1
fi
else
- echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
+ echo "File '$(basename ${SOURCE[$i]})' not available. Aborting the build."
exit 1
fi
fi
@@ -160,7 +168,7 @@ cat $SRCDIR/gnash.kde4.diff | patch -p1 --verbose
# Gnash does not cope well with libcurl's multithreading:
cat $SRCDIR/gnash.libcurl.diff | patch -p1 --verbose
# Gnash source configuration is a bag of sloppinesss but this will suffice:
-sed -i -e "/_PLUGINDIR/s#lib/#lib64/#" configure
+sed -i -e "/_PLUGINDIR/s#lib/#lib${LIBDIRSUFFIX}/#" configure
sed -i -e 's#/usr/share/man#@mandir@#' Makefile.in
sed -i -e 's/^docdir = .*/docdir = @docdir@/' \
-e 's/^htmldir = .*/htmldir = @htmldir@/' \